Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.opstring
Class OpStringManagerProxy

    java.lang.Object
      org.jini.rio.opstring.OpStringManagerProxy

    public class OpStringManagerProxy

extends Object

A generated proxy to assist with the management of `OperationalStringManager` instances.

Nested Class Summary
`static interface` | `OpStringManagerProxy.OpStringManager`
`static class` | `OpStringManagerProxy.OpStringManagerDispatcher` A CGLIB dispatcher for managing the invocation of methods to the primary `OperationalStringManager` instance.

Constructor Summary
`OpStringManagerProxy()`

Method Summary
`static OperationalStringManager` | `getProxy(String name, OperationalStringManager manager)` Create a dynamic CGLIB generated proxy for OperationalStringManager management.
`static OperationalStringManager` | `getProxy(String name, OperationalStringManager manager, DiscoveryManagement dMgr)` Create a dynamic CGLIB generated proxy for OperationalStringManager management
`static void` | `setDiscoveryManagement(DiscoveryManagement dMgr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpStringManagerProxy

    public OpStringManagerProxy()

Method Detail

### setDiscoveryManagement

    public static void setDiscoveryManagement(DiscoveryManagement dMgr)

### getProxy

    public static OperationalStringManager getProxy(String name,
                                                    OperationalStringManager manager)
                                             throws ConfigurationException,
                                                    IOException

  Create a dynamic CGLIB generated proxy for OperationalStringManager management. Invoking this method relies on this utility having it's DiscoveryManagement property set.

  Parameters:
    `name` - The name of the OperationalString. This must not be null.
    `manager` - The primary (managing) OperationalStringManager
  Returns:
    A generated proxy
  Throws:
    `ConfigurationException` - If the LookupCachePool cannot be accessed or created
    `IOException` - If DiscoveryManagement has problems

### getProxy

    public static OperationalStringManager getProxy(String name,
                                                    OperationalStringManager manager,
                                                    DiscoveryManagement dMgr)
                                             throws ConfigurationException,
                                                    IOException

  Create a dynamic CGLIB generated proxy for OperationalStringManager management

  Parameters:
    `name` - The name of the OperationalString. This must not be null.
    `manager` - The primary (managing) OperationalStringManager
    `dMgr` - DiscoveryManagement instance to use. This must not be null.
  Returns:
    A generated proxy
  Throws:
    `ConfigurationException` - If the LookupCachePool cannot be accessed or created
    `IOException` - If DiscoveryManagement has problems

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.